MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000775XdebugUsage problems (Wrong Results)public2012-02-03 22:242012-04-24 17:31
Reporterotto 
Assigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOSXOS Version10.6.8
Product Version2.2dev 
Target Version2.2.0Fixed in Version2.2.0RC2 
Summary0000775: eaa74b501c75dcd9c9912d5ef407625b782fcd26 broke resume
DescriptionI have been using xdebug 2.1.2 to debug my drupal 7 installation with intellij idea. When I upgraded to 2.1.3 the "resume program execution" (ie I want to continue after a breakpoint has been hit) feature stopped working.
Steps To ReproduceUnfortunately I cannot reproduct this with a simple script. But it happens every time in my drupal project.
Additional InformationI git bisected and it seem to be eaa74b501c75dcd9c9912d5ef407625b782fcd26 that broke this. Logfile for a working 2.1.2 session: http://pastebin.com/5HDpc4uv [^]
And when trying to do the same thing in 2.1.3: http://pastebin.com/6iS7TU3j [^]
TagsNo tags attached.
Operating SystemOSX
PHP Version5.3.8
Attached Files

- Relationships

-  Notes
(0001903)
derick (administrator)
2012-02-03 22:34

Hi,

I think I've already fixed this in https://github.com/derickr/xdebug/commit/52eb81b20eca0655da7ec01a830ce591a8f5d0cd [^]

Could you please try Xdebug from github's xdebug_2_1 branch (or master)?


cheers,
Derick
(0001904)
otto (reporter)
2012-02-03 22:51

Nope, seems to be the same problem. Log: http://pastebin.com/bztTq5te [^]
(0001905)
derick (administrator)
2012-02-04 10:12

Could you either make a backtrace (https://bugs.php.net/bugs-generating-backtrace.php [^]) or give me access to the machine so I can try this in case you can't duplicate this in a small script?
(0001906)
otto (reporter)
2012-02-04 21:37

Hi, sorry for the delay. I tried to get a backtrace but when I ran httpd under gdb I only got this after I tried to resume after the breakpoint:
---
Program exited with code 0377.
(gdb)
(gdb) bt
No stack.
(gdb)
---
Do you have any preferred way of getting remote access to the machine? This is my work computer and I'm on CET, perhaps we can set up a time?
(0001907)
derick (administrator)
2012-02-04 23:27

I'm GMT. Send me a mail at derick xdebug org and we can schedule something for Monday.
(0001911)
otto (reporter)
2012-02-09 16:01
edited on: 2012-02-09 16:04

Just for reference: I've tried with macgdbp and can not reproduce the error there. So it must be something in the way intellij is setting up the debug session.

Edit: log from macgdbp session: http://pastebin.com/tr69NtBQ [^]

(0001984)
otto (reporter)
2012-03-15 19:43

Still the same with 2.2.0rc1
(0002032)
derick (administrator)
2012-04-08 13:11

The log output for 2.1.4dev doesn't seem to show any problems, just like the one for 2.1.2. The one in 2.1.3 shows a bailout and/or segfault though.

2.1.2: http://pastebin.com/5HDpc4uv [^]
2.1.4dev: http://pastebin.com/tr69NtBQ [^]
(0002087)
otto (reporter)
2012-04-24 17:26

Testing now witch 2.2.0rc2 (and also new version of intellij) and it seems like everything is working again. Fantastic!
(0002088)
derick (administrator)
2012-04-24 17:31

Woo, awesome :-)

- Issue History
Date Modified Username Field Change
2012-02-03 22:24 otto New Issue
2012-02-03 22:34 derick Note Added: 0001903
2012-02-03 22:34 derick Assigned To => derick
2012-02-03 22:34 derick Status new => feedback
2012-02-03 22:51 otto Note Added: 0001904
2012-02-03 22:51 otto Status feedback => assigned
2012-02-04 10:12 derick Note Added: 0001905
2012-02-04 12:53 derick Status assigned => feedback
2012-02-04 21:37 otto Note Added: 0001906
2012-02-04 21:37 otto Status feedback => assigned
2012-02-04 23:27 derick Note Added: 0001907
2012-02-04 23:27 derick Status assigned => feedback
2012-02-09 16:01 otto Note Added: 0001911
2012-02-09 16:01 otto Status feedback => assigned
2012-02-09 16:04 otto Note Edited: 0001911 View Revisions
2012-03-12 16:25 derick Target Version => 2.2.0
2012-03-15 19:43 otto Note Added: 0001984
2012-04-08 13:11 derick Note Added: 0002032
2012-04-24 17:26 otto Note Added: 0002087
2012-04-24 17:31 derick Note Added: 0002088
2012-04-24 17:31 derick Status assigned => resolved
2012-04-24 17:31 derick Fixed in Version => 2.2.0RC2
2012-04-24 17:31 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker